#!/bin/bash

# ---------------------------------------------------------------------------------------
# Runs the spatial object reprojector that allows LandSerf rasters and vectors to be
# reprojected into new coordinate systems. Eliminates the bug in LandSerf2.1 that failed
# to reproject from UTM in the Southern Hemisphere. For non-UTM or northern hemisphere files,
# there is no need to use this addon.
# To use, open a command prompt in Windows (Start menu -> Run... -> cmd)
# and then change to the directory in which this file is located
# (e.g. cd ~/landserf210/addons) and type './Reproject.sh infile projType' 
# where inFile is a LandSerf raster (.srf) or vector (.vec) and projType is one of UTM, LatLong,
# OSGB or Swiss. For example,
# ./Reproject.sh ~/data/S11E149.srf UTM
# This will create a new file called S11E149Reproj.srf in the same directory.
# Version 1.1, 26th October, 2004.
# Copyright Jo Wood, 2004.
# ---------------------------------------------------------------------------------------

java -classpath .:../landserf210.jar:../utils.jar:../alloy.jar Reproject $1 $2
